import { AutoMatomoConfiguration, InternalMatomoConfiguration, MatomoInitializationMode } from './configuration';
import { MatomoTracker } from './matomo-tracker.service';
import { MatomoScriptFactory } from './script-factory';
import * as i0 from "@angular/core";
export declare function createMatomoInitializer(config: InternalMatomoConfiguration, tracker: MatomoTracker, scriptFactory: MatomoScriptFactory, document: Document, platformId: Object): MatomoInitializerService;
export declare class NoopMatomoInitializer implements Pick<MatomoInitializerService, 'initialize' | 'initializeTracker'> {
    initialize(): void;
    initializeTracker(_: AutoMatomoConfiguration<MatomoInitializationMode.AUTO | MatomoInitializationMode.AUTO_DEFERRED>): void;
}
export declare class MatomoInitializerService {
    private readonly config;
    private readonly tracker;
    private readonly scriptFactory;
    private readonly document;
    private initialized;
    private injected;
    constructor(config: InternalMatomoConfiguration, tracker: MatomoTracker, scriptFactory: MatomoScriptFactory, document: Document);
    /** @deprecated use {@link initialize initialize()} instead */
    init(): void;
    initialize(): void;
    initializeTracker(config: AutoMatomoConfiguration<MatomoInitializationMode.AUTO_DEFERRED>): void;
    private injectMatomoScript;
    private registerMainTracker;
    private registerAdditionalTrackers;
    private injectDOMScript;
    private runPreInitTasks;
    static ɵfac: i0.ɵɵFactoryDeclaration<MatomoInitializerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MatomoInitializerService>;
}
