"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.escapeLiteral = exports.readIntoSourceFile = void 0;
const schematics_1 = require("@angular-devkit/schematics");
const ts = require("typescript");
function readIntoSourceFile(host, modulePath) {
    const text = host.read(modulePath);
    if (text === null) {
        throw new schematics_1.SchematicsException(`File ${modulePath} does not exist.`);
    }
    const sourceText = text.toString('utf-8');
    return ts.createSourceFile(modulePath, sourceText, ts.ScriptTarget.Latest, true);
}
exports.readIntoSourceFile = readIntoSourceFile;
function escapeLiteral(str) {
    return str.replace(new RegExp('\\\\', 'g'), '\\\\').replace(new RegExp(`'`, 'g'), "\\'");
}
exports.escapeLiteral = escapeLiteral;
//# sourceMappingURL=schematics-utils.js.map